[arch-commits] Commit in ntp/repos (14 files)
Gaetan Bisson
bisson at archlinux.org
Tue Dec 27 02:24:38 UTC 2011
Date: Monday, December 26, 2011 @ 21:24:38
Author: bisson
Revision: 145678
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
ntp/repos/testing-i686/
ntp/repos/testing-i686/PKGBUILD
(from rev 145677, ntp/trunk/PKGBUILD)
ntp/repos/testing-i686/install
(from rev 145677, ntp/trunk/install)
ntp/repos/testing-i686/ntp.conf
(from rev 145677, ntp/trunk/ntp.conf)
ntp/repos/testing-i686/ntpd
(from rev 145677, ntp/trunk/ntpd)
ntp/repos/testing-i686/ntpd.conf
(from rev 145677, ntp/trunk/ntpd.conf)
ntp/repos/testing-i686/ntpdate
(from rev 145677, ntp/trunk/ntpdate)
ntp/repos/testing-x86_64/
ntp/repos/testing-x86_64/PKGBUILD
(from rev 145677, ntp/trunk/PKGBUILD)
ntp/repos/testing-x86_64/install
(from rev 145677, ntp/trunk/install)
ntp/repos/testing-x86_64/ntp.conf
(from rev 145677, ntp/trunk/ntp.conf)
ntp/repos/testing-x86_64/ntpd
(from rev 145677, ntp/trunk/ntpd)
ntp/repos/testing-x86_64/ntpd.conf
(from rev 145677, ntp/trunk/ntpd.conf)
ntp/repos/testing-x86_64/ntpdate
(from rev 145677, ntp/trunk/ntpdate)
--------------------------+
testing-i686/PKGBUILD | 62 +++++++++++++++++++++++++++++++++++++++++++++
testing-i686/install | 19 +++++++++++++
testing-i686/ntp.conf | 23 ++++++++++++++++
testing-i686/ntpd | 47 ++++++++++++++++++++++++++++++++++
testing-i686/ntpd.conf | 5 +++
testing-i686/ntpdate | 29 +++++++++++++++++++++
testing-x86_64/PKGBUILD | 62 +++++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/install | 19 +++++++++++++
testing-x86_64/ntp.conf | 23 ++++++++++++++++
testing-x86_64/ntpd | 47 ++++++++++++++++++++++++++++++++++
testing-x86_64/ntpd.conf | 5 +++
testing-x86_64/ntpdate | 29 +++++++++++++++++++++
12 files changed, 370 insertions(+)
Copied: ntp/repos/testing-i686/PKGBUILD (from rev 145677, ntp/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,62 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: kevin <kevin at archlinux.org>
+
+pkgname=ntp
+pkgver=4.2.6.p5
+_realver=4.2.6p5
+pkgrel=2
+pkgdesc='Network Time Protocol reference implementation'
+url='http://www.ntp.org/'
+license=('custom')
+arch=('i686' 'x86_64')
+depends=('openssl' 'readline' 'libcap')
+makedepends=('perl-html-parser')
+backup=('etc/ntp.conf' 'etc/conf.d/ntpd.conf')
+source=("http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-${_realver}.tar.gz"
+ 'ntpd'
+ 'ntpdate'
+ 'ntp.conf'
+ 'ntpd.conf')
+sha1sums=('4a5353a4791b6f4315a66c28d504ec6c7926b192'
+ '4e324e625c1f080b5c028be5092aa71adbf9bd99'
+ '01394b8a952f5edc85d19df8335eeac3980320f4'
+ 'f6fa4838a33a3abcdd168a37b3f4a2dddd60472e'
+ '6cfcb7bbd34499b30e31dffca2f3e1a036010271')
+
+install=install
+
+build() {
+ cd "${srcdir}/${pkgname}-${_realver}"
+
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --enable-linux-caps \
+
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-$_realver"
+
+ make DESTDIR="${pkgdir}" install
+
+ install -Dm755 ../ntpd "${pkgdir}"/etc/rc.d/ntpd
+ install -Dm755 ../ntpdate "${pkgdir}"/etc/rc.d/ntpdate
+ install -Dm644 ../ntp.conf "${pkgdir}"/etc/ntp.conf
+ install -Dm644 ../ntpd.conf "${pkgdir}"/etc/conf.d/ntpd.conf
+
+ cd html
+ ../scripts/html2man
+ install -d "${pkgdir}"/usr/share/man
+ mv man/man* "${pkgdir}"/usr/share/man
+ mv "${pkgdir}/usr/share/man/man8/ntpd.8" "${pkgdir}/usr/share/man/man8/ntp-ntpd.8" # we should ditch openntpd
+ cd ..
+
+ rmdir "${pkgdir}"/usr/{lib,sbin}
+ install -d "${pkgdir}/var/lib/ntp"
+ install -Dm644 COPYRIGHT "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+
+ touch "${pkgdir}"/var/lib/ntp/.placeholder
+}
Copied: ntp/repos/testing-i686/install (from rev 145677, ntp/trunk/install)
===================================================================
--- testing-i686/install (rev 0)
+++ testing-i686/install 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,19 @@
+post_upgrade() {
+ if [[ $(vercmp $2 4.2.6.p3) -le 0 ]]; then
+ cat <<EOF
+
+==> The file /etc/conf.d/ntp-client.conf has been renamed /etc/conf.d/ntpd.conf
+==> If you made changes to the former, please update the latter.
+
+EOF
+ fi
+ if [[ $(vercmp $2 4.2.6.p5-1) -le 0 ]]; then
+ cat <<EOF
+
+==> The PID file /var/run/ntpd.pid has been renamed /run/ntpd.pid
+==> and the new rc.d script only takes the latter into account.
+==> To stop your old ntpd process, please kill it manually.
+
+EOF
+ fi
+}
Copied: ntp/repos/testing-i686/ntp.conf (from rev 145677, ntp/trunk/ntp.conf)
===================================================================
--- testing-i686/ntp.conf (rev 0)
+++ testing-i686/ntp.conf 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,23 @@
+# With the default settings below, ntpd will only synchronize your clock.
+#
+# For details, see:
+# - the ntp.conf man page
+# - http://support.ntp.org/bin/view/Support/GettingStarted
+# - https://wiki.archlinux.org/index.php/Network_Time_Protocol_daemon
+
+# Select three geolocalized NTP public servers; see http://www.pool.ntp.org/
+server 0.pool.ntp.org
+server 1.pool.ntp.org
+server 2.pool.ntp.org
+
+# Only allow read-only access from localhost
+restrict default nomodify nopeer
+restrict 127.0.0.1
+restrict ::1
+
+# Location of drift and log files
+driftfile /var/lib/ntp/ntp.drift
+logfile /var/log/ntp.log
+
+# NOTE: If you run dhcpcd and have lines like 'restrict' and 'fudge' appearing
+# here, be sure to add '-Y -N' to the dhcpcd_ethX variables in /etc/conf.d/net
Copied: ntp/repos/testing-i686/ntpd (from rev 145677, ntp/trunk/ntpd)
===================================================================
--- testing-i686/ntpd (rev 0)
+++ testing-i686/ntpd 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/ntpd.conf
+
+unset PID
+PIDFILE='/run/ntpd.pid'
+
+if [[ -r ${PIDFILE} ]]; then
+ read -r PID <"${PIDFILE}"
+ if [[ -n ${PID} && ! -d /proc/${PID} ]]; then
+ rm -f "${PIDFILE}"
+ unset PID
+ fi
+fi
+
+case "$1" in
+ start)
+ stat_busy "Starting NTP Daemon"
+ if [[ -z ${PID} ]] && /usr/bin/ntpd ${NTPD_ARGS} -p "${PIDFILE}" &>/dev/null; then
+ add_daemon ntpd
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping NTP Daemon"
+ if [[ -n ${PID} ]] && kill "${PID}" &>/dev/null; then
+ rm ${PIDFILE}
+ rm_daemon ntpd
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
Copied: ntp/repos/testing-i686/ntpd.conf (from rev 145677, ntp/trunk/ntpd.conf)
===================================================================
--- testing-i686/ntpd.conf (rev 0)
+++ testing-i686/ntpd.conf 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,5 @@
+# client options for "ntpd -q" - ntpdate equivalent
+NTP_CLIENT_OPTION="-g"
+
+# arguments passed to ntpd when started
+NTPD_ARGS="-g"
Copied: ntp/repos/testing-i686/ntpdate (from rev 145677, ntp/trunk/ntpdate)
===================================================================
--- testing-i686/ntpdate (rev 0)
+++ testing-i686/ntpdate 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/ntpd.conf
+
+case "$1" in
+ start)
+ stat_busy "Starting NTP Client"
+ if /usr/bin/ntpd -q ${NTP_CLIENT_OPTION} &>/dev/null; then
+ add_daemon ntpdate
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping NTP Client"
+ rm_daemon ntpdate
+ stat_done
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
Copied: ntp/repos/testing-x86_64/PKGBUILD (from rev 145677, ntp/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,62 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: kevin <kevin at archlinux.org>
+
+pkgname=ntp
+pkgver=4.2.6.p5
+_realver=4.2.6p5
+pkgrel=2
+pkgdesc='Network Time Protocol reference implementation'
+url='http://www.ntp.org/'
+license=('custom')
+arch=('i686' 'x86_64')
+depends=('openssl' 'readline' 'libcap')
+makedepends=('perl-html-parser')
+backup=('etc/ntp.conf' 'etc/conf.d/ntpd.conf')
+source=("http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-${_realver}.tar.gz"
+ 'ntpd'
+ 'ntpdate'
+ 'ntp.conf'
+ 'ntpd.conf')
+sha1sums=('4a5353a4791b6f4315a66c28d504ec6c7926b192'
+ '4e324e625c1f080b5c028be5092aa71adbf9bd99'
+ '01394b8a952f5edc85d19df8335eeac3980320f4'
+ 'f6fa4838a33a3abcdd168a37b3f4a2dddd60472e'
+ '6cfcb7bbd34499b30e31dffca2f3e1a036010271')
+
+install=install
+
+build() {
+ cd "${srcdir}/${pkgname}-${_realver}"
+
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ --enable-linux-caps \
+
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-$_realver"
+
+ make DESTDIR="${pkgdir}" install
+
+ install -Dm755 ../ntpd "${pkgdir}"/etc/rc.d/ntpd
+ install -Dm755 ../ntpdate "${pkgdir}"/etc/rc.d/ntpdate
+ install -Dm644 ../ntp.conf "${pkgdir}"/etc/ntp.conf
+ install -Dm644 ../ntpd.conf "${pkgdir}"/etc/conf.d/ntpd.conf
+
+ cd html
+ ../scripts/html2man
+ install -d "${pkgdir}"/usr/share/man
+ mv man/man* "${pkgdir}"/usr/share/man
+ mv "${pkgdir}/usr/share/man/man8/ntpd.8" "${pkgdir}/usr/share/man/man8/ntp-ntpd.8" # we should ditch openntpd
+ cd ..
+
+ rmdir "${pkgdir}"/usr/{lib,sbin}
+ install -d "${pkgdir}/var/lib/ntp"
+ install -Dm644 COPYRIGHT "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+
+ touch "${pkgdir}"/var/lib/ntp/.placeholder
+}
Copied: ntp/repos/testing-x86_64/install (from rev 145677, ntp/trunk/install)
===================================================================
--- testing-x86_64/install (rev 0)
+++ testing-x86_64/install 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,19 @@
+post_upgrade() {
+ if [[ $(vercmp $2 4.2.6.p3) -le 0 ]]; then
+ cat <<EOF
+
+==> The file /etc/conf.d/ntp-client.conf has been renamed /etc/conf.d/ntpd.conf
+==> If you made changes to the former, please update the latter.
+
+EOF
+ fi
+ if [[ $(vercmp $2 4.2.6.p5-1) -le 0 ]]; then
+ cat <<EOF
+
+==> The PID file /var/run/ntpd.pid has been renamed /run/ntpd.pid
+==> and the new rc.d script only takes the latter into account.
+==> To stop your old ntpd process, please kill it manually.
+
+EOF
+ fi
+}
Copied: ntp/repos/testing-x86_64/ntp.conf (from rev 145677, ntp/trunk/ntp.conf)
===================================================================
--- testing-x86_64/ntp.conf (rev 0)
+++ testing-x86_64/ntp.conf 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,23 @@
+# With the default settings below, ntpd will only synchronize your clock.
+#
+# For details, see:
+# - the ntp.conf man page
+# - http://support.ntp.org/bin/view/Support/GettingStarted
+# - https://wiki.archlinux.org/index.php/Network_Time_Protocol_daemon
+
+# Select three geolocalized NTP public servers; see http://www.pool.ntp.org/
+server 0.pool.ntp.org
+server 1.pool.ntp.org
+server 2.pool.ntp.org
+
+# Only allow read-only access from localhost
+restrict default nomodify nopeer
+restrict 127.0.0.1
+restrict ::1
+
+# Location of drift and log files
+driftfile /var/lib/ntp/ntp.drift
+logfile /var/log/ntp.log
+
+# NOTE: If you run dhcpcd and have lines like 'restrict' and 'fudge' appearing
+# here, be sure to add '-Y -N' to the dhcpcd_ethX variables in /etc/conf.d/net
Copied: ntp/repos/testing-x86_64/ntpd (from rev 145677, ntp/trunk/ntpd)
===================================================================
--- testing-x86_64/ntpd (rev 0)
+++ testing-x86_64/ntpd 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/ntpd.conf
+
+unset PID
+PIDFILE='/run/ntpd.pid'
+
+if [[ -r ${PIDFILE} ]]; then
+ read -r PID <"${PIDFILE}"
+ if [[ -n ${PID} && ! -d /proc/${PID} ]]; then
+ rm -f "${PIDFILE}"
+ unset PID
+ fi
+fi
+
+case "$1" in
+ start)
+ stat_busy "Starting NTP Daemon"
+ if [[ -z ${PID} ]] && /usr/bin/ntpd ${NTPD_ARGS} -p "${PIDFILE}" &>/dev/null; then
+ add_daemon ntpd
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping NTP Daemon"
+ if [[ -n ${PID} ]] && kill "${PID}" &>/dev/null; then
+ rm ${PIDFILE}
+ rm_daemon ntpd
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
Copied: ntp/repos/testing-x86_64/ntpd.conf (from rev 145677, ntp/trunk/ntpd.conf)
===================================================================
--- testing-x86_64/ntpd.conf (rev 0)
+++ testing-x86_64/ntpd.conf 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,5 @@
+# client options for "ntpd -q" - ntpdate equivalent
+NTP_CLIENT_OPTION="-g"
+
+# arguments passed to ntpd when started
+NTPD_ARGS="-g"
Copied: ntp/repos/testing-x86_64/ntpdate (from rev 145677, ntp/trunk/ntpdate)
===================================================================
--- testing-x86_64/ntpdate (rev 0)
+++ testing-x86_64/ntpdate 2011-12-27 02:24:38 UTC (rev 145678)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/ntpd.conf
+
+case "$1" in
+ start)
+ stat_busy "Starting NTP Client"
+ if /usr/bin/ntpd -q ${NTP_CLIENT_OPTION} &>/dev/null; then
+ add_daemon ntpdate
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping NTP Client"
+ rm_daemon ntpdate
+ stat_done
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
More information about the arch-commits
mailing list